> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.callix.dev.br/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.callix.dev.br/_mcp/server.

# Create bulk

POST https://sua-conta.callix.com.br/api/v1/outbound_blacklist_async
Content-Type: application/vnd.api+json

Importa números em lote para uma lista de bloqueio. `type: "outbound_blacklist_async"`.

**Atributos**

- `outbound_blacklist_id` (integer, obrigatório): Lista de bloqueio de destino (também como relacionamento `outbound_blacklist`).
- `import_data` (json): Dados a importar — array em que cada item traz `phone_number` (número a alterar). (A coleção usa 'phones' como atalho de exemplo.)

**Campos de leitura:** status (enum 1=Pendente, 2=Executando, 3=Completada, 4=Falha), `import_result` (json).
No método DELETE use phones (array[string]) com os números a remover da lista.

Reference: https://docs.callix.dev.br/api-reference/outbound-blacklist-async-bulk/post-outbound-blacklist-async

## Authentication

- `Authorization` header (bearer token, required) — Token de API da conta do tenant.

## Response

### 200

Sucesso.

## Examples

**Request**

```json
{
  "data": {
    "attributes": {
      "outbound_blacklist_id": 1,
      "phones": [
        "5511999999999"
      ]
    },
    "type": "outbound_blacklist_async"
  }
}
```

**Response**

```json
{
  "data": {
    "attributes": {
      "import_result": [],
      "status": 1
    },
    "id": 1,
    "type": "outbound_blacklist_async"
  }
}
```

**SDK Code**

```python Outbound Blacklist Async (bulk)_post_outbound_blacklist_async_example
import requests

url = "https://sua-conta.callix.com.br/api/v1/outbound_blacklist_async"

payload = "{\n  \"data\": {\n    \"attributes\": {\n      \"outbound_blacklist_id\": 1,\n      \"phones\": [\n        \"5511999999999\"\n      ]\n    },\n    \"type\": \"outbound_blacklist_async\"\n  }\n}"
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/vnd.api+json"
}

response = requests.post(url, data=payload, headers=headers)

print(response.json())
```

```javascript Outbound Blacklist Async (bulk)_post_outbound_blacklist_async_example
const url = 'https://sua-conta.callix.com.br/api/v1/outbound_blacklist_async';
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/vnd.api+json'},
  body: '{\n  "data": {\n    "attributes": {\n      "outbound_blacklist_id": 1,\n      "phones": [\n        "5511999999999"\n      ]\n    },\n    "type": "outbound_blacklist_async"\n  }\n}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Outbound Blacklist Async (bulk)_post_outbound_blacklist_async_example
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://sua-conta.callix.com.br/api/v1/outbound_blacklist_async"

	payload := strings.NewReader("{\n  \"data\": {\n    \"attributes\": {\n      \"outbound_blacklist_id\": 1,\n      \"phones\": [\n        \"5511999999999\"\n      ]\n    },\n    \"type\": \"outbound_blacklist_async\"\n  }\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/vnd.api+json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Outbound Blacklist Async (bulk)_post_outbound_blacklist_async_example
require 'uri'
require 'net/http'

url = URI("https://sua-conta.callix.com.br/api/v1/outbound_blacklist_async")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/vnd.api+json'
request.body = "{\n  \"data\": {\n    \"attributes\": {\n      \"outbound_blacklist_id\": 1,\n      \"phones\": [\n        \"5511999999999\"\n      ]\n    },\n    \"type\": \"outbound_blacklist_async\"\n  }\n}"

response = http.request(request)
puts response.read_body
```

```java Outbound Blacklist Async (bulk)_post_outbound_blacklist_async_example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://sua-conta.callix.com.br/api/v1/outbound_blacklist_async")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/vnd.api+json")
  .body("{\n  \"data\": {\n    \"attributes\": {\n      \"outbound_blacklist_id\": 1,\n      \"phones\": [\n        \"5511999999999\"\n      ]\n    },\n    \"type\": \"outbound_blacklist_async\"\n  }\n}")
  .asString();
```

```php Outbound Blacklist Async (bulk)_post_outbound_blacklist_async_example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://sua-conta.callix.com.br/api/v1/outbound_blacklist_async', [
  'body' => '{
  "data": {
    "attributes": {
      "outbound_blacklist_id": 1,
      "phones": [
        "5511999999999"
      ]
    },
    "type": "outbound_blacklist_async"
  }
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/vnd.api+json',
  ],
]);

echo $response->getBody();
```

```csharp Outbound Blacklist Async (bulk)_post_outbound_blacklist_async_example
using RestSharp;

var client = new RestClient("https://sua-conta.callix.com.br/api/v1/outbound_blacklist_async");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/vnd.api+json");
request.AddParameter("application/vnd.api+json", "{\n  \"data\": {\n    \"attributes\": {\n      \"outbound_blacklist_id\": 1,\n      \"phones\": [\n        \"5511999999999\"\n      ]\n    },\n    \"type\": \"outbound_blacklist_async\"\n  }\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift Outbound Blacklist Async (bulk)_post_outbound_blacklist_async_example
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/vnd.api+json"
]

let postData = NSData(data: "{
  "data": {
    "attributes": {
      "outbound_blacklist_id": 1,
      "phones": [
        "5511999999999"
      ]
    },
    "type": "outbound_blacklist_async"
  }
}".data(using: String.Encoding.utf8)!)

let request = NSMutableURLRequest(url: NSURL(string: "https://sua-conta.callix.com.br/api/v1/outbound_blacklist_async")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```